// Force between charges q1 and q2
// SCILAB source file: ex1901.sce
// Get data from dialog box
txt = ['q1 in uC';'q2 in uC';'d in mm'];
var = x_mdialog('Enter charge and distance',txt,['1';'1';'1']);
q1 = 1E-6 * evstr(var(1));
q2 = 1E-6 * evstr(var(2));
d = 1E-3 * evstr(var(3));
// Permittivity of free space e0 in F/m
e0 = 8.854E-12; 
// Calculate force between charges
F = (q1 * q2) / (4 * %pi * e0 * d^2);
// Display result
if F > 0 then 
  messagebox("Force (repulsion) = " + string(F) + " Newton");
else
  messagebox("Force (attraction) = " + string(F) + " Newton");
end if

